Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.annotation
Class AnnotationAwareOrderComparator

    java.lang.Object
      org.springframework.core.OrderComparator
          org.springframework.core.annotation.AnnotationAwareOrderComparator

All Implemented Interfaces:
  java.util.Comparator<java.lang.Object>

    public class AnnotationAwareOrderComparator

extends OrderComparator

`Comparator` implementation that checks `Ordered` as well as the `Order` annotation, with an order value provided by an `Ordered` instance overriding a statically defined annotation value (if any).

Since:
  2.0.1
Author:
  Juergen Hoeller
See Also:
  `Ordered`, `Order`

Field Summary

Fields inherited from class org.springframework.core.OrderComparator
`INSTANCE`

Constructor Summary
`AnnotationAwareOrderComparator()`

Method Summary
`protected int` | `getOrder(java.lang.Object obj)` Determine the order value for the given object.

Methods inherited from class org.springframework.core.OrderComparator
`compare, sort, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AnnotationAwareOrderComparator

    public AnnotationAwareOrderComparator()

Method Detail

### getOrder

    protected int getOrder(java.lang.Object obj)

  Description copied from class: `OrderComparator`
  Determine the order value for the given object.

  The default implementation checks against the `Ordered` interface. Can be overridden in subclasses.

  Overrides:
    `getOrder` in class `OrderComparator`
  Parameters:
    `obj` - the object to check
  Returns:
    the order value, or `Ordered.LOWEST_PRECEDENCE` as fallback

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD